Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Friends
tlp::Event Class Reference
Observable

Event is the base class for all events used in the Observable/listener/Observer mechanism. More...

`#include <Observable.h>`

Inheritance diagram for tlp::Event:
[legend]
Collaboration diagram for tlp::Event:
[legend]

List of all members.

## Public Types

- enum EventType { TLP_DELETE = 0, TLP_MODIFICATION, TLP_INFORMATION, TLP_INVALID }

## Public Member Functions

- virtual ~Event ()
- Observable * sender () const
- Event (const Observable &sender, EventType type)
- EventType type () const

## Friends

- class Observable
- class Graph
- class PropertyInterface

## Detailed Description

Event is the base class for all events used in the Observable/listener/Observer mechanism.

Event is the base class to send notification to Observer or Listerner. The nature of an Event is characterized by its type. In the current implemenation there is 4 kind of event :

event::DELETE : send directly to all Observers/Listeners, it is not possible to delay its processing.
event::MODIFICATION : sent to all Observers/Listeners, it is possible to delay its processing. MODIFACTION are first sent to Observer then to Listenr
event::INFORMATION : sent only to Listeners, it is not possible to delay its processing.
event::INVALID : never sent use internally for delaying events.

See also:
  Listener
  Observer
  Observable

## Member Enumeration Documentation

enum tlp::Event::EventType

Enumerator:

  TLP_DELETE |
  TLP_MODIFICATION |
  TLP_INFORMATION |
  TLP_INVALID |

## Constructor & Destructor Documentation

virtual tlp::Event::~Event | ( |  | ) | `[virtual]`

tlp::Event::Event | ( | const Observable & | sender,
|  | EventType | type
| ) |  |

## Member Function Documentation

Observable* tlp::Event::sender | ( |  | ) | const

EventType tlp::Event::type | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend class Graph`[friend]`

friend class Observable`[friend]`

friend class PropertyInterface`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2012